curl --request POST \
--url https://semgrep.dev/api/sca/deployments/{deploymentId}/advisories/{advisoryId}/findings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"advisoryId": "ssc-abc123",
"pageSize": 25,
"cursorFindingCount": 123,
"cursorProjectName": "<string>"
}
'import requests
url = "https://semgrep.dev/api/sca/deployments/{deploymentId}/advisories/{advisoryId}/findings"
payload = {
"deploymentId": 123,
"advisoryId": "ssc-abc123",
"pageSize": 25,
"cursorFindingCount": 123,
"cursorProjectName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: 123,
advisoryId: 'ssc-abc123',
pageSize: 25,
cursorFindingCount: 123,
cursorProjectName: '<string>'
})
};
fetch('https://semgrep.dev/api/sca/deployments/{deploymentId}/advisories/{advisoryId}/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projects": [
{
"projectName": "<string>",
"totalFindingCount": 123,
"branchFindings": [
{
"branchName": "<string>",
"findingCount": 123
}
]
}
],
"hasMore": true,
"cursorFindingCount": 123,
"cursorProjectName": "<string>",
"ruleId": "<string>"
}List findings for advisory
Returns a summary of findings grouped by project and branch for a specific advisory using pagination
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
123
Advisory identifier to get findings for
"ssc-abc123"
Body
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
123
Advisory identifier to get findings for
"ssc-abc123"
Number of projects per page.
1 <= x <= 10025
Total finding count from the last project of the previous page for cursor-based pagination.
Project name from the last project of the previous page for cursor-based pagination.
Response
OK
List of projects with their branch-level finding summaries.
Show child attributes
Show child attributes
True if there are more projects to get.
Total finding count from the last project - pass to next request for pagination.
Project name from the last project - pass to next request for pagination.
Database rule ID for constructing findings URLs (integer primary key)
Was this page helpful?